> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get requests comments

> Returns a list of comments for a specific request.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /requests/{id}/comments
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /requests/{id}/comments:
    get:
      tags:
        - requests
      description: Returns a list of comments for a specific request.
      operationId: getRequestComments
      parameters:
        - description: The ID of the request to get comments for
          in: path
          name: id
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: A list of comments associated with the specified request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestCommentList'
      security:
        - BearerAuth: []
components:
  schemas:
    RequestCommentList:
      description: A paginated list of request comments
      type: object
      example:
        comments:
          - created_at: '2021-01-06T20:00:00.000Z'
            request_id: 4c86c85d-0651-43e2-a748-d69d658418e8
            user_id: c86c85d-0651-43e2-a748-d69d658418e8
            comment: This is a comment.
      properties:
        comments:
          items:
            $ref: '#/components/schemas/RequestComment'
          type: array
      required:
        - comments
    RequestComment:
      description: |-
        # Request Comment Object
        ### Description
        The `RequestComment` object is used to represent a comment on a request.

        ### Usage Example
        Returned from the `GET Requests` endpoint as part of a `Request` object.
      example:
        created_at: '2021-01-06T20:00:00.000Z'
        request_id: 4c86c85d-0651-43e2-a748-d69d658418e8
        user_id: c86c85d-0651-43e2-a748-d69d658418e8
        comment: This is a comment.
      properties:
        created_at:
          description: The date and time the comment was created.
          example: '2021-01-06T20:00:00.000Z'
          format: date-time
          type: string
        request_id:
          description: The unique identifier of the request the comment is associated with.
          example: 7c86c85d-0651-43e2-a748-d69d658418e8
          format: uuid
          type: string
        user_id:
          description: The unique identifier of the user who made the comment.
          example: 7c86c85d-0651-43e2-a748-d69d658418e8
          format: uuid
          type: string
        user_full_name:
          description: The user's full name.
          example: Jake Barnes
          type: string
        user_email:
          description: The user's email address.
          example: jake.barnes@company.com
          type: string
        comment:
          description: The content of the comment.
          example: This is a comment.
          type: string
      required:
        - created_at
        - request_id
        - user_id
        - comment
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````